com.ihr.xbrl.store

## Enum StorageService.StorageStatus

- java.lang.Object
- - java.lang.Enum<StorageService.StorageStatus>
  - - com.ihr.xbrl.store.StorageService.StorageStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StorageService.StorageStatus>
  Enclosing class:
    StorageService

      public static enum StorageService.StorageStatus
      extends java.lang.Enum<StorageService.StorageStatus>

  The Enum StorageStatus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED_STATUS` The created status.
    `ERROR_STATUS` The error status.
    `RUNNING_STATUS` The running status.
    `STORED_STATUS` The stored status.
    `UNKNOWN_STATUS` The unknown status.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StorageService.StorageStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StorageService.StorageStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN_STATUS

          public static final StorageService.StorageStatus UNKNOWN_STATUS

      The unknown status.

    - #### CREATED_STATUS

          public static final StorageService.StorageStatus CREATED_STATUS

      The created status.

    - #### RUNNING_STATUS

          public static final StorageService.StorageStatus RUNNING_STATUS

      The running status.

    - #### STORED_STATUS

          public static final StorageService.StorageStatus STORED_STATUS

      The stored status.

    - #### ERROR_STATUS

          public static final StorageService.StorageStatus ERROR_STATUS

      The error status.

  - ### Method Detail

    - #### values

          public static StorageService.StorageStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StorageService.StorageStatus c : StorageService.StorageStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StorageService.StorageStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null